package com.lanyuanxiaoyao.service.exporter.entity;

/**
 * @author lanyuanxiaoyao
 * @date 2024-02-02
 */
public class FlinkJobIdAndName {
    private final Long id;
    private final String name;

    public FlinkJobIdAndName(Long id, String name) {
        this.id = id;
        this.name = name;
    }

    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        FlinkJobIdAndName that = (FlinkJobIdAndName) o;

        if (!id.equals(that.id)) return false;
        return name.equals(that.name);
    }

    @Override
    public int hashCode() {
        int result = id.hashCode();
        result = 31 * result + name.hashCode();
        return result;
    }

    @Override
    public String toString() {
        return "FlinkJobIdAndName{" +
               "id=" + id +
               ", name='" + name + '\'' +
               '}';
    }
}
